// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_md/spectrum_action_chemical.proto

package dictionary_md

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/fcpartners/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SpectrumActionChemical struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          int64                                `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	ExternalId  int64                                `protobuf:"varint,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	Name        string                               `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Type        dictionary_common.SpectrumActionType `protobuf:"varint,4,opt,name=type,proto3,enum=fcp.dictionary.v1.dictionary_common.SpectrumActionType" json:"type,omitempty"`
	PhotoUrls   []string                             `protobuf:"bytes,5,rep,name=photo_urls,json=photoUrls,proto3" json:"photo_urls,omitempty"`
	VideoUrls   []string                             `protobuf:"bytes,6,rep,name=video_urls,json=videoUrls,proto3" json:"video_urls,omitempty"`
	Description string                               `protobuf:"bytes,8,opt,name=description,proto3" json:"description,omitempty"`
	Audit       *dictionary_common.Audit             `protobuf:"bytes,21,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *SpectrumActionChemical) Reset() {
	*x = SpectrumActionChemical{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SpectrumActionChemical) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SpectrumActionChemical) ProtoMessage() {}

func (x *SpectrumActionChemical) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SpectrumActionChemical.ProtoReflect.Descriptor instead.
func (*SpectrumActionChemical) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP(), []int{0}
}

func (x *SpectrumActionChemical) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *SpectrumActionChemical) GetExternalId() int64 {
	if x != nil {
		return x.ExternalId
	}
	return 0
}

func (x *SpectrumActionChemical) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *SpectrumActionChemical) GetType() dictionary_common.SpectrumActionType {
	if x != nil {
		return x.Type
	}
	return dictionary_common.SpectrumActionType_SPT_UNSPECIFIED
}

func (x *SpectrumActionChemical) GetPhotoUrls() []string {
	if x != nil {
		return x.PhotoUrls
	}
	return nil
}

func (x *SpectrumActionChemical) GetVideoUrls() []string {
	if x != nil {
		return x.VideoUrls
	}
	return nil
}

func (x *SpectrumActionChemical) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *SpectrumActionChemical) GetAudit() *dictionary_common.Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

type SpectrumActionChemicalFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         *wrappers.Int64Value                       `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	ExternalId *wrappers.Int64Value                       `protobuf:"bytes,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	Name       *wrappers.StringValue                      `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"` // LIKE
	Type       *dictionary_common.SpectrumActionTypeValue `protobuf:"bytes,4,opt,name=type,proto3" json:"type,omitempty"`
	// audit
	State     *dictionary_common.StateValue `protobuf:"bytes,21,opt,name=state,proto3" json:"state,omitempty"`
	CreatedAt *dictionary_common.TimeRange  `protobuf:"bytes,22,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	CreatedBy *wrappers.StringValue         `protobuf:"bytes,23,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	UpdatedAt *dictionary_common.TimeRange  `protobuf:"bytes,24,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
	UpdatedBy *wrappers.StringValue         `protobuf:"bytes,25,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
}

func (x *SpectrumActionChemicalFilter) Reset() {
	*x = SpectrumActionChemicalFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SpectrumActionChemicalFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SpectrumActionChemicalFilter) ProtoMessage() {}

func (x *SpectrumActionChemicalFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SpectrumActionChemicalFilter.ProtoReflect.Descriptor instead.
func (*SpectrumActionChemicalFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP(), []int{1}
}

func (x *SpectrumActionChemicalFilter) GetId() *wrappers.Int64Value {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *SpectrumActionChemicalFilter) GetExternalId() *wrappers.Int64Value {
	if x != nil {
		return x.ExternalId
	}
	return nil
}

func (x *SpectrumActionChemicalFilter) GetName() *wrappers.StringValue {
	if x != nil {
		return x.Name
	}
	return nil
}

func (x *SpectrumActionChemicalFilter) GetType() *dictionary_common.SpectrumActionTypeValue {
	if x != nil {
		return x.Type
	}
	return nil
}

func (x *SpectrumActionChemicalFilter) GetState() *dictionary_common.StateValue {
	if x != nil {
		return x.State
	}
	return nil
}

func (x *SpectrumActionChemicalFilter) GetCreatedAt() *dictionary_common.TimeRange {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *SpectrumActionChemicalFilter) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *SpectrumActionChemicalFilter) GetUpdatedAt() *dictionary_common.TimeRange {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

func (x *SpectrumActionChemicalFilter) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

type GetSpectrumActionChemicalRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetSpectrumActionChemicalRequest) Reset() {
	*x = GetSpectrumActionChemicalRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetSpectrumActionChemicalRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetSpectrumActionChemicalRequest) ProtoMessage() {}

func (x *GetSpectrumActionChemicalRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetSpectrumActionChemicalRequest.ProtoReflect.Descriptor instead.
func (*GetSpectrumActionChemicalRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP(), []int{2}
}

func (x *GetSpectrumActionChemicalRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetSpectrumActionChemicalResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *SpectrumActionChemical `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetSpectrumActionChemicalResponse) Reset() {
	*x = GetSpectrumActionChemicalResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetSpectrumActionChemicalResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetSpectrumActionChemicalResponse) ProtoMessage() {}

func (x *GetSpectrumActionChemicalResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetSpectrumActionChemicalResponse.ProtoReflect.Descriptor instead.
func (*GetSpectrumActionChemicalResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP(), []int{3}
}

func (x *GetSpectrumActionChemicalResponse) GetItem() *SpectrumActionChemical {
	if x != nil {
		return x.Item
	}
	return nil
}

type ListSpectrumActionChemicalRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *SpectrumActionChemicalFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// sortable fields: id, external_id, name, created_at, updated_at
	Sorting []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	// Pagination - Optional
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSpectrumActionChemicalRequest) Reset() {
	*x = ListSpectrumActionChemicalRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSpectrumActionChemicalRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSpectrumActionChemicalRequest) ProtoMessage() {}

func (x *ListSpectrumActionChemicalRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSpectrumActionChemicalRequest.ProtoReflect.Descriptor instead.
func (*ListSpectrumActionChemicalRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP(), []int{4}
}

func (x *ListSpectrumActionChemicalRequest) GetFilter() *SpectrumActionChemicalFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListSpectrumActionChemicalRequest) GetSorting() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListSpectrumActionChemicalRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListSpectrumActionChemicalResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*SpectrumActionChemical             `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSpectrumActionChemicalResponse) Reset() {
	*x = ListSpectrumActionChemicalResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSpectrumActionChemicalResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSpectrumActionChemicalResponse) ProtoMessage() {}

func (x *ListSpectrumActionChemicalResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSpectrumActionChemicalResponse.ProtoReflect.Descriptor instead.
func (*ListSpectrumActionChemicalResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP(), []int{5}
}

func (x *ListSpectrumActionChemicalResponse) GetItems() []*SpectrumActionChemical {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListSpectrumActionChemicalResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type SaveSpectrumActionChemicalRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *SpectrumActionChemical `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *SaveSpectrumActionChemicalRequest) Reset() {
	*x = SaveSpectrumActionChemicalRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveSpectrumActionChemicalRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveSpectrumActionChemicalRequest) ProtoMessage() {}

func (x *SaveSpectrumActionChemicalRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveSpectrumActionChemicalRequest.ProtoReflect.Descriptor instead.
func (*SaveSpectrumActionChemicalRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP(), []int{6}
}

func (x *SaveSpectrumActionChemicalRequest) GetItem() *SpectrumActionChemical {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveSpectrumActionChemicalResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveSpectrumActionChemicalResponse) Reset() {
	*x = SaveSpectrumActionChemicalResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveSpectrumActionChemicalResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveSpectrumActionChemicalResponse) ProtoMessage() {}

func (x *SaveSpectrumActionChemicalResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveSpectrumActionChemicalResponse.ProtoReflect.Descriptor instead.
func (*SaveSpectrumActionChemicalResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP(), []int{7}
}

func (x *SaveSpectrumActionChemicalResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

var File_v1_dictionary_md_spectrum_action_chemical_proto protoreflect.FileDescriptor

var file_v1_dictionary_md_spectrum_action_chemical_proto_rawDesc = []byte{
	0x0a, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x2f, 0x73, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x5f, 0x61, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x5f, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x1f, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x27, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x5f, 0x70, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xd2, 0x02, 0x0a, 0x16, 0x53,
	0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65,
	0x6d, 0x69, 0x63, 0x61, 0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61,
	0x6c, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x65, 0x78, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x4b, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53,
	0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x68, 0x6f, 0x74, 0x6f,
	0x5f, 0x75, 0x72, 0x6c, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x09, 0x52, 0x09, 0x70, 0x68, 0x6f,
	0x74, 0x6f, 0x55, 0x72, 0x6c, 0x73, 0x12, 0x1d, 0x0a, 0x0a, 0x76, 0x69, 0x64, 0x65, 0x6f, 0x5f,
	0x75, 0x72, 0x6c, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x09, 0x52, 0x09, 0x76, 0x69, 0x64, 0x65,
	0x6f, 0x55, 0x72, 0x6c, 0x73, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x40, 0x0a, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74,
	0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x41, 0x75, 0x64,
	0x69, 0x74, 0x52, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x4a, 0x04, 0x08, 0x0e, 0x10, 0x15, 0x22,
	0xf2, 0x04, 0x0a, 0x1c, 0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x12, 0x2b, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49,
	0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x02, 0x69, 0x64, 0x12, 0x3c, 0x0a,
	0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52,
	0x0a, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x30, 0x0a, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69,
	0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x50, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3c, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x54, 0x79, 0x70, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12,
	0x45, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2f,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52,
	0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x4d, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x64, 0x5f, 0x61, 0x74, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x5f, 0x62, 0x79, 0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69,
	0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x42, 0x79, 0x12, 0x4d, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74,
	0x18, 0x18, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41,
	0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18,
	0x19, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x4a, 0x04,
	0x08, 0x05, 0x10, 0x15, 0x22, 0x32, 0x0a, 0x20, 0x47, 0x65, 0x74, 0x53, 0x70, 0x65, 0x63, 0x74,
	0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61,
	0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x70, 0x0a, 0x21, 0x47, 0x65, 0x74, 0x53,
	0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65,
	0x6d, 0x69, 0x63, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4b, 0x0a,
	0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x53, 0x70,
	0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65, 0x6d,
	0x69, 0x63, 0x61, 0x6c, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x9a, 0x02, 0x0a, 0x21, 0x4c,
	0x69, 0x73, 0x74, 0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x55, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x3d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x2e, 0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52,
	0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x46, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69,
	0x6e, 0x67, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53,
	0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x12,
	0x56, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xcc, 0x01, 0x0a, 0x22, 0x4c, 0x69, 0x73, 0x74,
	0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68,
	0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4d,
	0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x37, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e,
	0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68,
	0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x57, 0x0a,
	0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x70, 0x0a, 0x21, 0x53, 0x61, 0x76, 0x65, 0x53, 0x70,
	0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65, 0x6d,
	0x69, 0x63, 0x61, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x4b, 0x0a, 0x04, 0x69,
	0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x53, 0x70, 0x65, 0x63,
	0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63,
	0x61, 0x6c, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x34, 0x0a, 0x22, 0x53, 0x61, 0x76, 0x65,
	0x53, 0x70, 0x65, 0x63, 0x74, 0x72, 0x75, 0x6d, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x68,
	0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x42, 0x6b,
	0x0a, 0x28, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescOnce sync.Once
	file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescData = file_v1_dictionary_md_spectrum_action_chemical_proto_rawDesc
)

func file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescGZIP() []byte {
	file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescData)
	})
	return file_v1_dictionary_md_spectrum_action_chemical_proto_rawDescData
}

var file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_v1_dictionary_md_spectrum_action_chemical_proto_goTypes = []interface{}{
	(*SpectrumActionChemical)(nil),                    // 0: fcp.dictionary.v1.dictionary_md.SpectrumActionChemical
	(*SpectrumActionChemicalFilter)(nil),              // 1: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter
	(*GetSpectrumActionChemicalRequest)(nil),          // 2: fcp.dictionary.v1.dictionary_md.GetSpectrumActionChemicalRequest
	(*GetSpectrumActionChemicalResponse)(nil),         // 3: fcp.dictionary.v1.dictionary_md.GetSpectrumActionChemicalResponse
	(*ListSpectrumActionChemicalRequest)(nil),         // 4: fcp.dictionary.v1.dictionary_md.ListSpectrumActionChemicalRequest
	(*ListSpectrumActionChemicalResponse)(nil),        // 5: fcp.dictionary.v1.dictionary_md.ListSpectrumActionChemicalResponse
	(*SaveSpectrumActionChemicalRequest)(nil),         // 6: fcp.dictionary.v1.dictionary_md.SaveSpectrumActionChemicalRequest
	(*SaveSpectrumActionChemicalResponse)(nil),        // 7: fcp.dictionary.v1.dictionary_md.SaveSpectrumActionChemicalResponse
	(dictionary_common.SpectrumActionType)(0),         // 8: fcp.dictionary.v1.dictionary_common.SpectrumActionType
	(*dictionary_common.Audit)(nil),                   // 9: fcp.dictionary.v1.dictionary_common.Audit
	(*wrappers.Int64Value)(nil),                       // 10: google.protobuf.Int64Value
	(*wrappers.StringValue)(nil),                      // 11: google.protobuf.StringValue
	(*dictionary_common.SpectrumActionTypeValue)(nil), // 12: fcp.dictionary.v1.dictionary_common.SpectrumActionTypeValue
	(*dictionary_common.StateValue)(nil),              // 13: fcp.dictionary.v1.dictionary_common.StateValue
	(*dictionary_common.TimeRange)(nil),               // 14: fcp.dictionary.v1.dictionary_common.TimeRange
	(*dictionary_common.Sorting)(nil),                 // 15: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),       // 16: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil),      // 17: fcp.dictionary.v1.dictionary_common.PaginationResponse
}
var file_v1_dictionary_md_spectrum_action_chemical_proto_depIdxs = []int32{
	8,  // 0: fcp.dictionary.v1.dictionary_md.SpectrumActionChemical.type:type_name -> fcp.dictionary.v1.dictionary_common.SpectrumActionType
	9,  // 1: fcp.dictionary.v1.dictionary_md.SpectrumActionChemical.audit:type_name -> fcp.dictionary.v1.dictionary_common.Audit
	10, // 2: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.id:type_name -> google.protobuf.Int64Value
	10, // 3: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.external_id:type_name -> google.protobuf.Int64Value
	11, // 4: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.name:type_name -> google.protobuf.StringValue
	12, // 5: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.type:type_name -> fcp.dictionary.v1.dictionary_common.SpectrumActionTypeValue
	13, // 6: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.state:type_name -> fcp.dictionary.v1.dictionary_common.StateValue
	14, // 7: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.created_at:type_name -> fcp.dictionary.v1.dictionary_common.TimeRange
	11, // 8: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.created_by:type_name -> google.protobuf.StringValue
	14, // 9: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.updated_at:type_name -> fcp.dictionary.v1.dictionary_common.TimeRange
	11, // 10: fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter.updated_by:type_name -> google.protobuf.StringValue
	0,  // 11: fcp.dictionary.v1.dictionary_md.GetSpectrumActionChemicalResponse.item:type_name -> fcp.dictionary.v1.dictionary_md.SpectrumActionChemical
	1,  // 12: fcp.dictionary.v1.dictionary_md.ListSpectrumActionChemicalRequest.filter:type_name -> fcp.dictionary.v1.dictionary_md.SpectrumActionChemicalFilter
	15, // 13: fcp.dictionary.v1.dictionary_md.ListSpectrumActionChemicalRequest.sorting:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	16, // 14: fcp.dictionary.v1.dictionary_md.ListSpectrumActionChemicalRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 15: fcp.dictionary.v1.dictionary_md.ListSpectrumActionChemicalResponse.items:type_name -> fcp.dictionary.v1.dictionary_md.SpectrumActionChemical
	17, // 16: fcp.dictionary.v1.dictionary_md.ListSpectrumActionChemicalResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	0,  // 17: fcp.dictionary.v1.dictionary_md.SaveSpectrumActionChemicalRequest.item:type_name -> fcp.dictionary.v1.dictionary_md.SpectrumActionChemical
	18, // [18:18] is the sub-list for method output_type
	18, // [18:18] is the sub-list for method input_type
	18, // [18:18] is the sub-list for extension type_name
	18, // [18:18] is the sub-list for extension extendee
	0,  // [0:18] is the sub-list for field type_name
}

func init() { file_v1_dictionary_md_spectrum_action_chemical_proto_init() }
func file_v1_dictionary_md_spectrum_action_chemical_proto_init() {
	if File_v1_dictionary_md_spectrum_action_chemical_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SpectrumActionChemical); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SpectrumActionChemicalFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetSpectrumActionChemicalRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetSpectrumActionChemicalResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSpectrumActionChemicalRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSpectrumActionChemicalResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveSpectrumActionChemicalRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveSpectrumActionChemicalResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_md_spectrum_action_chemical_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_md_spectrum_action_chemical_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_md_spectrum_action_chemical_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_md_spectrum_action_chemical_proto_msgTypes,
	}.Build()
	File_v1_dictionary_md_spectrum_action_chemical_proto = out.File
	file_v1_dictionary_md_spectrum_action_chemical_proto_rawDesc = nil
	file_v1_dictionary_md_spectrum_action_chemical_proto_goTypes = nil
	file_v1_dictionary_md_spectrum_action_chemical_proto_depIdxs = nil
}
